#include <ESP8266WiFi.h>
#include <WiFiUDP.h>

#define RELAY_PIN 2

WiFiUDP UDP;
char packet[255]; 

void setup()
{
  pinMode(RELAY_PIN, OUTPUT);
  digitalWrite(RELAY_PIN, HIGH);
  Serial.begin(115200);
  delay(10);
  Serial.println('\n');
  Serial.println();
  Serial.print("Setting soft-AP ... ");
  WiFi.persistent(false);
  WiFi.mode(WIFI_AP);
  WiFi.softAP("wifi_bell", "qwerty12345");
  Serial.print("Soft-AP IP address = ");
  Serial.println(WiFi.softAPIP());  
  UDP.begin(7171);
}

void loop(){
  int packetSize = UDP.parsePacket();
  if (packetSize || (Serial.read() == '1')) {
    digitalWrite(RELAY_PIN, LOW);
    delay(3000);
    digitalWrite(RELAY_PIN, HIGH);
    Serial.print("Received packet! Size: ");
    Serial.println(packetSize); 
    int len = UDP.read(packet, 255);
    if (len > 0)
    {
      packet[len] = '\0';
    }
    Serial.print("Packet received: ");
    Serial.println(packet);
  }
}
